package com.sztzjy.resource_center.entity;

import io.swagger.annotations.ApiModelProperty;
/**
 * 知识概要资源表
 *
 * @author xcj
 * sys_knowledge_summary
 */
public class SysKnowledgeSummary {
    @ApiModelProperty("知识概要ID")
    private String knowledgeSummaryId;

    @ApiModelProperty("一级标签ID")
    private String oneTagId;

    @ApiModelProperty("一级标签名称")
    private String oneTagName;

    @ApiModelProperty("二级标签ID")
    private String twoTagId;

    @ApiModelProperty("二级标签名称")
    private String twoTagName;

    @ApiModelProperty("三级标签ID")
    private String threeTagId;

    @ApiModelProperty("三级标签名称")
    private String threeTagName;

    @ApiModelProperty("管理员/学校ID")
    private String source;

    @ApiModelProperty("内容")
    private String content;

    public String getKnowledgeSummaryId() {
        return knowledgeSummaryId;
    }

    public void setKnowledgeSummaryId(String knowledgeSummaryId) {
        this.knowledgeSummaryId = knowledgeSummaryId == null ? null : knowledgeSummaryId.trim();
    }

    public String getOneTagId() {
        return oneTagId;
    }

    public void setOneTagId(String oneTagId) {
        this.oneTagId = oneTagId == null ? null : oneTagId.trim();
    }

    public String getOneTagName() {
        return oneTagName;
    }

    public void setOneTagName(String oneTagName) {
        this.oneTagName = oneTagName == null ? null : oneTagName.trim();
    }

    public String getTwoTagId() {
        return twoTagId;
    }

    public void setTwoTagId(String twoTagId) {
        this.twoTagId = twoTagId == null ? null : twoTagId.trim();
    }

    public String getTwoTagName() {
        return twoTagName;
    }

    public void setTwoTagName(String twoTagName) {
        this.twoTagName = twoTagName == null ? null : twoTagName.trim();
    }

    public String getThreeTagId() {
        return threeTagId;
    }

    public void setThreeTagId(String threeTagId) {
        this.threeTagId = threeTagId == null ? null : threeTagId.trim();
    }

    public String getThreeTagName() {
        return threeTagName;
    }

    public void setThreeTagName(String threeTagName) {
        this.threeTagName = threeTagName == null ? null : threeTagName.trim();
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source == null ? null : source.trim();
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }
}