package com.sztzjy.resource_center.entity;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 * 模型题库表
 *
 * @author xcj
 * sys_model_question
 */
public class SysModelQuestion {
    @ApiModelProperty("模型题目ID")
    private String modelQuestionId;

    @ApiModelProperty("模型ID")
    private String modeId;

    @ApiModelProperty("步骤标题")
    private String stepTitle;

    @ApiModelProperty("步骤分值")
    private Long stepScore;

    @ApiModelProperty("数据文件")
    private String dataFile;

    @ApiModelProperty("参数1设置")
    private String param1Setting;

    @ApiModelProperty("参数2设置")
    private String param2Setting;

    @ApiModelProperty("参数3设置")
    private String param3Setting;

    @ApiModelProperty("数据集地址")
    private String dataSetUrl;

    @ApiModelProperty("学校ID")
    private String schoolid;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("步骤内容")
    private String stepContent;

    public String getModelQuestionId() {
        return modelQuestionId;
    }

    public void setModelQuestionId(String modelQuestionId) {
        this.modelQuestionId = modelQuestionId == null ? null : modelQuestionId.trim();
    }

    public String getModeId() {
        return modeId;
    }

    public void setModeId(String modeId) {
        this.modeId = modeId == null ? null : modeId.trim();
    }

    public String getStepTitle() {
        return stepTitle;
    }

    public void setStepTitle(String stepTitle) {
        this.stepTitle = stepTitle == null ? null : stepTitle.trim();
    }

    public Long getStepScore() {
        return stepScore;
    }

    public void setStepScore(Long stepScore) {
        this.stepScore = stepScore;
    }

    public String getDataFile() {
        return dataFile;
    }

    public void setDataFile(String dataFile) {
        this.dataFile = dataFile == null ? null : dataFile.trim();
    }

    public String getParam1Setting() {
        return param1Setting;
    }

    public void setParam1Setting(String param1Setting) {
        this.param1Setting = param1Setting == null ? null : param1Setting.trim();
    }

    public String getParam2Setting() {
        return param2Setting;
    }

    public void setParam2Setting(String param2Setting) {
        this.param2Setting = param2Setting == null ? null : param2Setting.trim();
    }

    public String getParam3Setting() {
        return param3Setting;
    }

    public void setParam3Setting(String param3Setting) {
        this.param3Setting = param3Setting == null ? null : param3Setting.trim();
    }

    public String getDataSetUrl() {
        return dataSetUrl;
    }

    public void setDataSetUrl(String dataSetUrl) {
        this.dataSetUrl = dataSetUrl == null ? null : dataSetUrl.trim();
    }

    public String getSchoolid() {
        return schoolid;
    }

    public void setSchoolid(String schoolid) {
        this.schoolid = schoolid == null ? null : schoolid.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getStepContent() {
        return stepContent;
    }

    public void setStepContent(String stepContent) {
        this.stepContent = stepContent == null ? null : stepContent.trim();
    }
}