package com.sztzjy.resource_center.entity;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 * 资源表，用于存储各种资源信息
 *
 * @author xcj
 * sys_resource
 */
public class SysResource {
    @ApiModelProperty("资源ID")
    private String resourceId;

    @ApiModelProperty("资源名称")
    private String resourceName;

    @ApiModelProperty("文件保存路径")
    private String url;

    @ApiModelProperty("封面图片地址")
    private String pictureUrl;

    @ApiModelProperty("资源类型 /视频/课件")
    private String resourceType;

    @ApiModelProperty("内置/schoolId")
    private String source;

    @ApiModelProperty("一级目录标签")
    private String oneTag;

    private String oneName;

    @ApiModelProperty("二级目录标签")
    private String twoTag;

    private String twoName;

    @ApiModelProperty("三级目录标签")
    private String threeTag;

    private String threeName;

    @ApiModelProperty("启用状态 1已启用 0未启用")
    private Integer status;

    @ApiModelProperty("创建时间")
    private Date createTime;

    public String getResourceId() {
        return resourceId;
    }

    public void setResourceId(String resourceId) {
        this.resourceId = resourceId == null ? null : resourceId.trim();
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName == null ? null : resourceName.trim();
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url == null ? null : url.trim();
    }

    public String getPictureUrl() {
        return pictureUrl;
    }

    public void setPictureUrl(String pictureUrl) {
        this.pictureUrl = pictureUrl == null ? null : pictureUrl.trim();
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType == null ? null : resourceType.trim();
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source == null ? null : source.trim();
    }

    public String getOneTag() {
        return oneTag;
    }

    public void setOneTag(String oneTag) {
        this.oneTag = oneTag == null ? null : oneTag.trim();
    }

    public String getOneName() {
        return oneName;
    }

    public void setOneName(String oneName) {
        this.oneName = oneName == null ? null : oneName.trim();
    }

    public String getTwoTag() {
        return twoTag;
    }

    public void setTwoTag(String twoTag) {
        this.twoTag = twoTag == null ? null : twoTag.trim();
    }

    public String getTwoName() {
        return twoName;
    }

    public void setTwoName(String twoName) {
        this.twoName = twoName == null ? null : twoName.trim();
    }

    public String getThreeTag() {
        return threeTag;
    }

    public void setThreeTag(String threeTag) {
        this.threeTag = threeTag == null ? null : threeTag.trim();
    }

    public String getThreeName() {
        return threeName;
    }

    public void setThreeName(String threeName) {
        this.threeName = threeName == null ? null : threeName.trim();
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}