package com.sztzjy.resource_center.entity.admin;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @Author xcj
 * @Date 2024/7/11
 */
@Data
public class AdminCaseDto {
    @ApiModelProperty("数据名称")
    private String name;

    @ApiModelProperty("标签集合")
    private List<AdminLabel> adminLabelList;

    @ApiModelProperty("图片文件")
    private MultipartFile pictureFile;

    @ApiModelProperty("数据文件")
    private List<MultipartFile> dataFile;

    @ApiModelProperty("案例目录")
    private String caseCatalog;

    @ApiModelProperty("案例正文")
    private String caseContent;

    @ApiModelProperty("案例目录文件")
    private MultipartFile caseCatalogFile;

    @ApiModelProperty("案例正文文件")
    private MultipartFile caseContentFile;
}
