package com.sztzjy.resource_center.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.web.multipart.MultipartFile;

import java.util.Date;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class SysResourceDto {
    @ApiModelProperty("资源ID")
    private String resourceId;

    @ApiModelProperty("资源名称")
    private String resourceName;

    @ApiModelProperty("资源类型 /视频/课件")
    private String resourceType;

    @ApiModelProperty("视频路径")
    private String url;

    @ApiModelProperty("来源 管理员/xx学校")
    private String source;

    @ApiModelProperty("学校ID")
    private String schoolId;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("所属课程ID")
    private String oneId;

    @ApiModelProperty("所属课程名称")
    private String oneName;

    @ApiModelProperty("所属章ID")
    private String twoId;

    @ApiModelProperty("所属章名称")
    private String twoName;

    @ApiModelProperty("所属节ID")
    private String threeId;

    @ApiModelProperty("所属节名称")
    private String threeName;

    @ApiModelProperty("资源文件")
    private MultipartFile file;

    @ApiModelProperty("封面图片")
    private MultipartFile pictureUrl;
}
