package com.sztzjy.resource_center.mapper;

import com.sztzjy.resource_center.entity.SysResource;
import com.sztzjy.resource_center.entity.SysResourceExample;

import java.util.List;

import com.sztzjy.resource_center.entity.dto.SysResourceDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface SysResourceMapper {
    long countByExample(SysResourceExample example);

    int deleteByExample(SysResourceExample example);

    int deleteByPrimaryKey(String resourceId);

    int insert(SysResource record);

    int insertSelective(SysResource record);

    List<SysResource> selectByExample(SysResourceExample example);

    SysResource selectByPrimaryKey(String resourceId);

    int updateByExampleSelective(@Param("record") SysResource record, @Param("example") SysResourceExample example);

    int updateByExample(@Param("record") SysResource record, @Param("example") SysResourceExample example);

    int updateByPrimaryKeySelective(SysResource record);

    int updateByPrimaryKey(SysResource record);


    List<SysResourceDto> selectResource(@Param("oneId") String oneId,
                                        @Param("twoId") String twoId,
                                        @Param("threeId") String threeId);

    List<SysResourceDto> selectResourceByRepeat(@Param("oneId") String oneId,
                                                @Param("twoId") String twoId,
                                                @Param("threeId") String threeId,
                                                @Param("resourceName") String resourceName);

}