package com.sztzjy.resource_center.mapper;

import com.sztzjy.resource_center.entity.SysTwoCatalog;
import com.sztzjy.resource_center.entity.SysTwoCatalogExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
@Mapper
public interface SysTwoCatalogMapper {
    long countByExample(SysTwoCatalogExample example);

    int deleteByExample(SysTwoCatalogExample example);

    int deleteByPrimaryKey(String twoId);

    int insert(SysTwoCatalog record);

    int insertSelective(SysTwoCatalog record);

    List<SysTwoCatalog> selectByExample(SysTwoCatalogExample example);

    SysTwoCatalog selectByPrimaryKey(String twoId);

    int updateByExampleSelective(@Param("record") SysTwoCatalog record, @Param("example") SysTwoCatalogExample example);

    int updateByExample(@Param("record") SysTwoCatalog record, @Param("example") SysTwoCatalogExample example);

    int updateByPrimaryKeySelective(SysTwoCatalog record);

    int updateByPrimaryKey(SysTwoCatalog record);

    @Select("select two_id,two_name from sys_two_catalog where one_id = #{oneId} order by sort DESC")
    List<Map<String, String>> getAllTwoCatalogList(@Param("oneId")String oneId);

    void updateByBatch(@Param("sysTwoCatalogs")List<SysTwoCatalog> sysTwoCatalogs);
}