package com.sztzjy.resource_center.entity;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 * 案例题库表
 *
 * @author xcj
 * sys_case_questions
 */
public class SysCaseQuestion {
    @ApiModelProperty("案例题ID")
    private String caseId;

    @ApiModelProperty("题目标题")
    private String title;

    @ApiModelProperty("数据集地址 用 ,隔开")
    private String resourceData;

    @ApiModelProperty("来源 schoolid/内置")
    private String source;

    @ApiModelProperty("题目类型  0为基础 1为应用 2为模型题")
    private String type;

    @ApiModelProperty("一级目录ID")
    private String oneId;

    private String oneName;

    @ApiModelProperty("二级目录ID")
    private String twoId;

    private String twoName;

    @ApiModelProperty("三级目录ID")
    private String threeId;

    private String threeName;

    @ApiModelProperty("上下架状态")
    private Boolean unmountStatus;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("修改时间")
    private Date updateTime;

    @ApiModelProperty("题目内容")
    private String content;

    public String getCaseId() {
        return caseId;
    }

    public void setCaseId(String caseId) {
        this.caseId = caseId == null ? null : caseId.trim();
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title == null ? null : title.trim();
    }

    public String getResourceData() {
        return resourceData;
    }

    public void setResourceData(String resourceData) {
        this.resourceData = resourceData == null ? null : resourceData.trim();
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source == null ? null : source.trim();
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public String getOneId() {
        return oneId;
    }

    public void setOneId(String oneId) {
        this.oneId = oneId == null ? null : oneId.trim();
    }

    public String getOneName() {
        return oneName;
    }

    public void setOneName(String oneName) {
        this.oneName = oneName == null ? null : oneName.trim();
    }

    public String getTwoId() {
        return twoId;
    }

    public void setTwoId(String twoId) {
        this.twoId = twoId == null ? null : twoId.trim();
    }

    public String getTwoName() {
        return twoName;
    }

    public void setTwoName(String twoName) {
        this.twoName = twoName == null ? null : twoName.trim();
    }

    public String getThreeId() {
        return threeId;
    }

    public void setThreeId(String threeId) {
        this.threeId = threeId == null ? null : threeId.trim();
    }

    public String getThreeName() {
        return threeName;
    }

    public void setThreeName(String threeName) {
        this.threeName = threeName == null ? null : threeName.trim();
    }

    public Boolean getUnmountStatus() {
        return unmountStatus;
    }

    public void setUnmountStatus(Boolean unmountStatus) {
        this.unmountStatus = unmountStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }
}