package com.sztzjy.resource_center.mapper;

import com.sztzjy.resource_center.entity.SysCaseQuestion;
import com.sztzjy.resource_center.entity.SysCaseQuestionExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SysCaseQuestionMapper {
    long countByExample(SysCaseQuestionExample example);

    int deleteByExample(SysCaseQuestionExample example);

    int deleteByPrimaryKey(String caseId);

    int insert(SysCaseQuestion record);

    int insertSelective(SysCaseQuestion record);

    List<SysCaseQuestion> selectByExampleWithBLOBs(SysCaseQuestionExample example);

    List<SysCaseQuestion> selectByExample(SysCaseQuestionExample example);

    SysCaseQuestion selectByPrimaryKey(String caseId);

    int updateByExampleSelective(@Param("record") SysCaseQuestion record, @Param("example") SysCaseQuestionExample example);

    int updateByExampleWithBLOBs(@Param("record") SysCaseQuestion record, @Param("example") SysCaseQuestionExample example);

    int updateByExample(@Param("record") SysCaseQuestion record, @Param("example") SysCaseQuestionExample example);

    int updateByPrimaryKeySelective(SysCaseQuestion record);

    int updateByPrimaryKeyWithBLOBs(SysCaseQuestion record);

    int updateByPrimaryKey(SysCaseQuestion record);

    List<SysCaseQuestion> selectCaseByConditions(@Param("title") String title,
                                                 @Param("oneId") String oneId,
                                                 @Param("source") String source);

    List<SysCaseQuestion> selectCaseByConditionsByBind(@Param("title") String title);
}