package com.sztzjy.resource_center.mapper;

import com.sztzjy.resource_center.entity.SysOneCatalog;
import com.sztzjy.resource_center.entity.SysOneCatalogExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

@Mapper
public interface SysOneCatalogMapper {
    long countByExample(SysOneCatalogExample example);

    int deleteByExample(SysOneCatalogExample example);

    int deleteByPrimaryKey(String oneId);

    int insert(SysOneCatalog record);

    int insertSelective(SysOneCatalog record);

    List<SysOneCatalog> selectByExample(SysOneCatalogExample example);

    SysOneCatalog selectByPrimaryKey(String oneId);

    int updateByExampleSelective(@Param("record") SysOneCatalog record, @Param("example") SysOneCatalogExample example);

    int updateByExample(@Param("record") SysOneCatalog record, @Param("example") SysOneCatalogExample example);

    int updateByPrimaryKeySelective(SysOneCatalog record);

    int updateByPrimaryKey(SysOneCatalog record);

    @Select("select one_id,one_name from sys_one_catalog order by sort ASC")
    List<Map<String, String>> getAllOneCatalogListByDropDown();

    void updateByBatch(@Param("sysOneCatalogs") List<SysOneCatalog> sysOneCatalogs);
}